package org.linlinjava.jz.db.service;

import org.linlinjava.jz.db.dao.JzBookOrderMapper;
import org.linlinjava.jz.db.domain.JzBookOrder;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author fuxubing
 */
@Service
public class JzBookOrderService {
    @Resource
    private JzBookOrderMapper jzBookOrderMapper;

    public List<JzBookOrder> querySelective(JzBookOrder jzBookOrder) {
        return jzBookOrderMapper.querySelective(jzBookOrder);
    }

    public List<JzBookOrder> selectByBookOrderNo(Integer bookOrderNo) {
        return jzBookOrderMapper.selectByBookOrderNo(bookOrderNo);
    }

    public List<JzBookOrder> selectByPaymentNo(String paymentNo) {
        return jzBookOrderMapper.selectByPaymentNo(paymentNo);
    }

    public List<JzBookOrder> selectByCustomerId(Integer customerId) {
        return jzBookOrderMapper.selectByCustomerId(customerId);
    }
}
